# std::tr1::hash< std::string > Struct Template Reference

Inheritance diagram for std::tr1::hash< std::string >:

List of all members.

## Detailed Description

### template<>
struct std::tr1::hash< std::string >

Definition at line 139 of file functional_hash.h.

## Public Types

- typedef _Arg argument_type
- typedef _Result result_type

## Public Member Functions

- std::size_t operator() (const std::string &__s) const

## Member Typedef Documentation

template<class _Arg, class _Result>

typedef _Arg std::unary_function< _Arg, _Result >::argument_type`[inherited]`

`argument_type` is the type of the

Reimplemented in __gnu_cxx::__detail::_Functor_Ref< _Functor >.

Definition at line 104 of file stl_function.h.

template<class _Arg, class _Result>

typedef _Result std::unary_function< _Arg, _Result >::result_type`[inherited]`

argument (no surprises here) `result_type` is the return type

Reimplemented in __gnu_cxx::__detail::_Functor_Ref< _Functor >, and std::tr1::_Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- functional_hash.h